
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <form>
        <input type="text" placeholder="Nombre ..." id="nombre">
        <input type="text" placeholder="Apellido ..." id="apellido">
        <input type="button" onclick="mostrar()" value="Mostrar">
        
        <h3>Mi Nombre es :</h3>  <h3 id="minombre"></h3>
        <h3>Mi Apellido es :</h3> <h3 id="miapellido"></h3>
        <h3>Validar datos :</h3> <h3 id="valido"></h3>
        
    </form>
    <Script>
        /*
        Crear un formulario que pida nombre y apellido (dos input y un botón). 
        Si ambos cumplen con que tienen más de 2 caracteres los escribe en un párrafo.
         Sino muestra un error en ese mismo párrafo.
        */
       
        function mostrar( ){
            var n = document.getElementById("nombre").value;
            var a = document.getElementById("apellido").value;
            

            if(n.length >= 2 && a.length >=2){
                    document.getElementById("minombre").innerHTML =n;
                    document.getElementById("miapellido").innerHTML =a;
                    document.getElementById("valido").innerHTML ="ES VALIDO"
                    
            }else{
                //document.getElementById("apellido").innerHTML =resultado
                document.getElementById("valido").innerHTML ="NO es VALIDO"
                console.log("Error en el dato");
            }


            
        }

    </Script>
</body>
</html>
